Create or update agent configuration

Base URL
https://{kibana_url}
  • PUT /api/apm/settings/agent-configuration
Auth

Create or update an agent configuration. You must have all privileges for the APM and User Experience feature in Kibana. When updating an existing configuration, the ?overwrite=true query parameter is required. If the configuration already exists and overwrite is not set to true, the API returns a 400 error. When successful and Fleet is enabled, APM package policies are synchronized accordingly.

Query parameters

overwrite boolean

If the config exists ?overwrite=true is required

Header parameters

elastic-api-version enum · default: 2023-10-31 required

The version of the API to use

Values: 2023-10-31
kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

agent_name string

The agent name is used by the UI to determine which settings to display.

service object required

Service

environment string

The environment of the service.

name string

The name of the service.

settings map string to string required

Agent configuration settings

Responses

Successful response

application/json

Response Type: object

Bad Request response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Unauthorized response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Forbidden response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Not found response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Base URL
https://{kibana_url}